001/*-
002 * #%L
003 * Smile CDR - CDR
004 * %%
005 * Copyright (C) 2016 - 2026 Smile CDR, Inc.
006 * %%
007 * All rights reserved.
008 * #L%
009 */
010package ca.cdr.api.priorauth;
011
012import com.fasterxml.jackson.annotation.JsonProperty;
013import io.swagger.v3.oas.annotations.media.Schema;
014
015@Schema(name = "CrdApplyProcessorConfig", description = "Configs related to CrdApplyProcessor")
016public class CrdApplyProcessorConfig {
017
018        @Schema(description = "Payer source label used in CDS hooks response card as source.label")
019        @JsonProperty("payerSourceLabel")
020        private String myPayerSourceLabel;
021
022        @Schema(description = "Payer source URL used in CDS hooks response card as source.url")
023        @JsonProperty("payerSourceUrl")
024        private String myPayerSourceUrl;
025
026        @Schema(description = "Coverage identifier system used for searching identifier in Provider coverage")
027        @JsonProperty("coverageIdentifierSystem")
028        private String myCoverageIdentifierSystem;
029
030        @Schema(
031                        description =
032                                        "Base FHIR endpoint url where CQL resources, like PlanDefinition, can be found. This endpoint will be used for $r5.apply api call.")
033        @JsonProperty("cqlRepositoryBaseFhirEndpoint")
034        private String myCqlRepositoryBaseFhirEndpoint;
035
036        @Schema(
037                        description =
038                                        "Base FHIR endpoint url where Clinical resources can be found. This endpoint will be used as dataEndpoint parameter in $r5.apply api call request body. This config is optional.")
039        @JsonProperty("clinicalRepositoryBaseFhirEndpoint")
040        private String myClinicalRepositoryBaseFhirEndpoint;
041
042        @Schema(
043                        description =
044                                        "Authorization header used for dataEndpoint parameter present in CQL $r5.apply request body. This config is optional.")
045        @JsonProperty("dataEndpointAuthorizationHeader")
046        private String myDataEndpointAuthorizationHeader;
047
048        @Schema(
049                        description =
050                                        "Value for useServerData parameter in CQL $r5.apply request body. Default is false. This config is optional.")
051        @JsonProperty("useServerData")
052        private boolean myUseServerData;
053
054        public String getPayerSourceLabel() {
055                return myPayerSourceLabel;
056        }
057
058        public void setPayerSourceLabel(String thePayerSourceLabel) {
059                myPayerSourceLabel = thePayerSourceLabel;
060        }
061
062        public String getPayerSourceUrl() {
063                return myPayerSourceUrl;
064        }
065
066        public void setPayerSourceUrl(String thePayerSourceUrl) {
067                myPayerSourceUrl = thePayerSourceUrl;
068        }
069
070        public String getCoverageIdentifierSystem() {
071                return myCoverageIdentifierSystem;
072        }
073
074        public void setCoverageIdentifierSystem(String theCoverageIdentifierSystem) {
075                myCoverageIdentifierSystem = theCoverageIdentifierSystem;
076        }
077
078        public String getCqlRepositoryBaseFhirEndpoint() {
079                return myCqlRepositoryBaseFhirEndpoint;
080        }
081
082        public void setCqlRepositoryBaseFhirEndpoint(String theCqlRepositoryBaseFhirEndpoint) {
083                myCqlRepositoryBaseFhirEndpoint = theCqlRepositoryBaseFhirEndpoint;
084        }
085
086        public String getClinicalRepositoryBaseFhirEndpoint() {
087                return myClinicalRepositoryBaseFhirEndpoint;
088        }
089
090        public void setClinicalRepositoryBaseFhirEndpoint(String theClinicalRepositoryBaseFhirEndpoint) {
091                myClinicalRepositoryBaseFhirEndpoint = theClinicalRepositoryBaseFhirEndpoint;
092        }
093
094        public String getDataEndpointAuthorizationHeader() {
095                return myDataEndpointAuthorizationHeader;
096        }
097
098        public void setDataEndpointAuthorizationHeader(String theDataEndpointAuthorizationHeader) {
099                myDataEndpointAuthorizationHeader = theDataEndpointAuthorizationHeader;
100        }
101
102        public boolean isUseServerData() {
103                return myUseServerData;
104        }
105
106        public void setUseServerData(boolean theUseServerData) {
107                myUseServerData = theUseServerData;
108        }
109}